package com.example.bookshelf;

import android.content.Context;
import android.database.Cursor;
import android.support.v4.widget.CursorAdapter;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.LinearLayout;
import android.widget.TextView;

public class BookshelfAdapter extends CursorAdapter {

	private int[] colors;
	
	public BookshelfAdapter(Context context, Cursor c, int flags) {
		super(context, c, flags);
		colors = context.getResources().getIntArray(R.array.rating_colors);
	}

	@Override
	public View newView(Context ctx, Cursor c, ViewGroup root) {
		LayoutInflater inflater = LayoutInflater.from(ctx);
		View view = inflater.inflate(R.layout.book, root, false);
		bindView(view, ctx, c);
		return view;
	}

	@Override
	public void bindView(View oldView, Context ctx, Cursor c) {
		int titleIndex = c.getColumnIndex(Database.COLUMN_TITLE);
		int authorIndex = c.getColumnIndex(Database.COLUMN_AUTHOR);
		int ratingIndex = c.getColumnIndex(Database.COLUMN_RATING);
		
		int color = colors[c.getInt(ratingIndex)];
		((LinearLayout)oldView).setBackgroundColor(color);
		
		((TextView)oldView.findViewById(R.id.title)).setText(c.getString(titleIndex));
		
		((TextView)oldView.findViewById(R.id.author)).setText(c.getString(authorIndex));
	}

}
