package com.example.bookshelf;

import android.content.Context;
import android.os.Bundle;
import android.preference.PreferenceManager;



@SuppressWarnings("deprecation")
public class SettingsActivity extends android.preference.PreferenceActivity {
	
	public static final String FORM_TITLE = "add_new_book_title";
	public static final String DEFAULT_RATING = "default_rating";
	public static final String ORDER_BY = "order_by";
	public static final String DESC = "desc";
	
	
	protected static final String[] ORDER_BY_COLUMNS = {
		Database.COLUMN_ID,
		Database.COLUMN_TITLE,
		Database.COLUMN_AUTHOR,
		Database.COLUMN_RATING
	};
	
	@Override
	protected void onCreate(Bundle icicle) {
		super.onCreate(icicle);
		addPreferencesFromResource(R.xml.settings);
	}
	
	public static String getFormTitle(Context ctx){
		return PreferenceManager.getDefaultSharedPreferences(ctx).getString(FORM_TITLE, "");
	}
	
	public static int getDefaultRating(Context ctx){
		return Integer.valueOf(PreferenceManager.getDefaultSharedPreferences(ctx).getString(DEFAULT_RATING, "4"));
	}
	
	public static String getOrderByColumn(Context ctx){
		int index = Integer.valueOf(PreferenceManager.getDefaultSharedPreferences(ctx).getString(ORDER_BY, "0"));
		return ORDER_BY_COLUMNS[index];
	}
	
	public static boolean getOrderDesc(Context ctx){
		return PreferenceManager.getDefaultSharedPreferences(ctx).getBoolean(DESC, true);
	}
}
